Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Class BorderCode

    java.lang.Object
      org.apache.poi.hwpf.usermodel.BorderCode

All Implemented Interfaces:
  java.lang.Cloneable

    public final class BorderCode

extends java.lang.Object
implements java.lang.Cloneable

Mapping class for BRC80 structure (Border Code for Word 97)

Comments are copied out from the binary format specification.

Field Summary
`static int` | `SIZE`

Constructor Summary
`BorderCode()`
`BorderCode(byte[] buf, int offset)`

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object o)`
`int` | `getBorderType()` Border type code: 0 none 1 single 2 thick 3 double 5 hairline 6 dot 7 dash large gap 8 dot dash 9 dot dot dash 10 triple 11 thin-thick small gap 12 thick-thin small gap 13 thin-thick-thin small gap 14 thin-thick medium gap 15 thick-thin medium gap 16 thin-thick-thin medium gap 17 thin-thick large gap 18 thick-thin large gap 19 thin-thick-thin large gap 20 wave 21 double wave 22 dash small gap 23 dash dot stroked 24 emboss 3D 25 engrave 3D codes 64 - 230 represent border art types and are used only for page borders
`short` | `getColor()` Color: 0 Auto 1 Black 2 Blue 3 Cyan 4 Green 5 Magenta 6 Red 7 Yellow 8 White 9 DkBlue 10 DkCyan 11 DkGreen 12 DkMagenta 13 DkRed 14 DkYellow 15 DkGray 16 LtGray
`int` | `getLineWidth()` Width of a single line in 1/8 pt, max of 32 pt.
`int` | `getSpace()` Width of space to maintain between border and text within border.
`boolean` | `isEmpty()`
`boolean` | `isFrame()` Don't reverse the border.
`boolean` | `isShadow()` When true, border is drawn with shadow Must be false when BRC is a substructure of the TC.
`void` | `serialize(byte[] buf, int offset)`
`void` | `setBorderType(int borderType)`
`void` | `setColor(short color)`
`void` | `setFrame(boolean frame)`
`void` | `setLineWidth(int lineWidth)`
`void` | `setShadow(boolean shadow)`
`void` | `setSpace(int space)`
`int` | `toInt()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

Constructor Detail

### BorderCode

    public BorderCode()

### BorderCode

    public BorderCode(byte[] buf,
                      int offset)

Method Detail

### serialize

    public void serialize(byte[] buf,
                          int offset)

### toInt

    public int toInt()

### isEmpty

    public boolean isEmpty()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### getLineWidth

    public int getLineWidth()

  Width of a single line in 1/8 pt, max of 32 pt.

### setLineWidth

    public void setLineWidth(int lineWidth)

### getBorderType

    public int getBorderType()

  Border type code:
  - 0 none
  - 1 single
  - 2 thick
  - 3 double
  - 5 hairline
  - 6 dot
  - 7 dash large gap
  - 8 dot dash
  - 9 dot dot dash
  - 10 triple
  - 11 thin-thick small gap
  - 12 thick-thin small gap
  - 13 thin-thick-thin small gap
  - 14 thin-thick medium gap
  - 15 thick-thin medium gap
  - 16 thin-thick-thin medium gap
  - 17 thin-thick large gap
  - 18 thick-thin large gap
  - 19 thin-thick-thin large gap
  - 20 wave
  - 21 double wave
  - 22 dash small gap
  - 23 dash dot stroked
  - 24 emboss 3D
  - 25 engrave 3D
  - codes 64 - 230 represent border art types and are used only for page borders

### setBorderType

    public void setBorderType(int borderType)

### getColor

    public short getColor()

  Color:
  - 0 Auto
  - 1 Black
  - 2 Blue
  - 3 Cyan
  - 4 Green
  - 5 Magenta
  - 6 Red
  - 7 Yellow
  - 8 White
  - 9 DkBlue
  - 10 DkCyan
  - 11 DkGreen
  - 12 DkMagenta
  - 13 DkRed
  - 14 DkYellow
  - 15 DkGray
  - 16 LtGray

### setColor

    public void setColor(short color)

### getSpace

    public int getSpace()

  Width of space to maintain between border and text within border.

  Must be 0 when BRC is a substructure of TC.

  Stored in points.

### setSpace

    public void setSpace(int space)

### isShadow

    public boolean isShadow()

  When true, border is drawn with shadow Must be false when BRC is a substructure of the TC.

### setShadow

    public void setShadow(boolean shadow)

### isFrame

    public boolean isFrame()

  Don't reverse the border.

### setFrame

    public void setFrame(boolean frame)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD